@import url("./normalize.css");

@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/Ubuntu-Regular.ttf') format('truetype'),
        url('../fonts/Ubuntu-Regular.woff') format('woff'),
        url('../fonts/Ubuntu-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Ubuntu';
    src: url('../fonts/Ubuntu-Bold.ttf') format('truetype'),
        url('../fonts/Ubuntu-Bold.woff') format('woff'),
        url('../fonts/Ubuntu-Bold.woff2') format('woff2');
    font-weight: bold;
    font-style: bold;
}

html {
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-size: 14px;
    user-select: none;
}

.wrapper {
    height: 100vh;
    width: 100vw;
    background-color: #463b2c;
    background: url('../img/background.png') no-repeat center/cover;
    overflow: auto;
    display: flex;
    flex-direction: column;
}

.header {
    width: 100%;
    min-height: 58px;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 79px;
}

.header__logo {
    font-size: 22px;
    font-weight: 700;
    flex: 1 1 auto;
}

.header__icons {
    height: 24px;
    gap: 25px;
    margin-right: 25px;
    display: flex;
    justify-content: space-between;
}

.icon {
    fill: currentColor;
}

.header__icon {
    height: 24px;
    width: 24px;
    transition: color .2s ease-in;
}

.header__links {
    padding-left: 27px;
    position: relative;
    line-height: 20px;
    transition: color .2s ease-in;
}

.header__links::before {
    content: "";
    height: 20px;
    width: 1px;
    background: rgba(255, 255, 255, 0.9);
    mix-blend-mode: normal;
    opacity: 0.5;
    position: absolute;
    left: 0;
}

.header__icon:hover,
.header__link:hover {
    color: #3CB878;
}

.modal {
    display: flex;
    align-items: center;
    flex: 1 1 auto;
}

.modal__form {
    width: 444px;
    /* height: 584px; */
    max-width: 75vw;
    background: #FFFFFF;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    margin: 20px auto;
    padding: 30px 60px 38px;
    display: flex;
    align-items: center;
    flex-direction: column;
    position: relative;
}

.modal__form::before {
    content: "";
    height: 18px;
    width: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 29px;
    left: 0;
}

.form__head {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    line-height: 1;
}

.form__name {
    font-size: 20px;
    font-weight: 400;
}

.form__link {
    color: #3CB878;
    transition: color .2s ease-in;
}

.form__link:hover {
    color: #01813F
}

.link--login:hover {
    text-decoration: underline;
}

.form__buttons {
    width: 100%;
    display: flex;
    gap: 8px;
    justify-content: space-between;
    margin: 15px 0 30px;
}

.btn {
    border-radius: 4px;
    width: 100%;
    height: 48px;
    font-size: 16px;
    text-align: center;
    color: #FFFFFF;
    border: none;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .2s ease-in;
}

.btn__icon {
    height: 24px;
    width: 50px;
}

.btn__name {
    flex: 1 1 auto;
    height: 28px;
    line-height: 28px;
    border-left: 1px solid #0a162f1a;
}

.btn--facebook {
    background-color: #305DB8;
}

.btn--facebook:hover {
    background-color: #022263;
}

.btn--google {
    background-color: #DF4A32;
}

.btn--google:hover {
    background-color: #AB1F09;
}

.form__text {
    min-width: max-content;
    display: block;
    position: relative;
    width: 100%;
    text-align: center;
    color: #848484;
}

.form__text::before,
.form__text::after {
    content: "";
    height: 1px;
    width: calc(50% - 12px);
    background-color: #F2F2F2;
    position: absolute;
    top: 60%;
}

.form__text::before {
    left: 0;
}

.form__text::after {
    right: 0;
}

.form__field {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: 12px 0;
}

.form__input {
    height: 45px;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    padding: 15px 20px;
    color: #434343;
}

.form__input:focus {
    outline: 0;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.form__input::placeholder {
    color: #BEBEBE
}

.agreement {
    align-self: flex-start;
    color: #434343;
    line-height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;
}

.checkbox__wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.checkbox__wrapper {
    cursor: pointer;
}

.agreement-info__link {
    position: relative;
}

.agreement-info__link::before {
    content: "";
    position: absolute;
    width: 0;
    height: 1px;
    background-color: #01813F;
    bottom: -4px;
    opacity: 0;
    right: 0;
    transition: width .4s ease, opacity .7s ease-out;
}

.agreement-info__link:hover::before {
    width: 100%;
    opacity: 1;
    left: 0;
}

input[type=checkbox] {
    display: none;
}

.checkbox {
    height: 20px;
    width: 20px;
    border: 1px solid #F2F2F2;
    transition: background-color .5s ease-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

.checkbox__icon {
    height: 17px;
    width: 17px;
    display: none;
    stroke: #3CB878;
    transition: stroke 0.2s ease-out;
}

.checkbox--hidden:checked~.checkbox .checkbox__icon {
    display: block;
}

.checkbox__wrapper:hover .checkbox .checkbox__icon {
    stroke: #01813F;
}

.btn--submit {
    margin-top: 20px;
    background-color: #3cb878cc;
    justify-content: center;
}

.btn--submit:hover {
    background-color: #01813F;
}

input[type=password]:not(:placeholder-shown) {
    font-size: 20px;
    letter-spacing: 3px;
    color: #01813F;
}

/* ADAPTATION */

@media (max-width: 660px) {
    .header {
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        gap: 15px;
        padding: 15px 0;
        min-height: auto;
    }

    .header__icons,
    .header__links {
        margin: 0;
        padding: 0;
    }

    .header__links {
        padding-top: 15px;
    }

    .header__links::before {
        content: "";
        height: 1px;
        width: 50%;
        background: rgba(255, 255, 255, 0.9);
        mix-blend-mode: normal;
        opacity: 0.5;
        position: absolute;
        left: 50%;
        top: 0;
        transform: translate(-50%, 0);
    }

    .btn--facebook,
    .btn--google {
        padding: 5px 10px;
    }
}

@media (max-width: 490px) {
    .modal__form {
        padding: 10%;
    }

    .agreement {
        align-self: center;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 0.5rem;
    }

    .form__buttons {
        flex-direction: column;
        width: 70%;
    }

    .btn--facebook,
    .btn--google {
        padding: 5px 10px;
    }

    .form__input::placeholder {
        text-align: center;
    }

    .form__input {
        text-align: center;
        font-size: 10px;
    }
}



/* :active,
:hover,
:focus,
input {
    outline: 0;
    outline-offset: 0;
    box-shadow: none;
    border: none;
} */